{
  config,
  ...
}:{
  sops.defaultSopsFile = ../secrets/common.yaml;
  sops.age.keyFile = "/var/lib/sops-nix/age-key.txt"; #opt/nixflake/secrets/age-key.txt;
  sops.age.generateKey = true;

  sops.secrets.wifi = {};
  
  sops.secrets."${config.hostcfg.hostname}" = {
    ssh_priv = {};
    ssh_pub = {};
    wg_priv = {};
    wg_pub = {};
  };

}
